using System.Collections.Generic;
using WK_KLI_LAPS_Service.App_Data;

// For more information on enabling Web API for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace WK_KLI_LAPS_Service.Controllers.NavMenu
{
    public interface INavMenuService
    {
        IEnumerable<object> getRoleMappedMenu(int userId);
        IEnumerable<object> getRoleMappedMenuDashboard(int userId);
    }


    public class NavMenuService : INavMenuService
    {
        CommonRepository oCommonRepository = new CommonRepository();
        public IEnumerable<object> getRoleMappedMenu(int userId)
        {
            return oCommonRepository.getRoleMappedMenu(userId);
        }
        public IEnumerable<object> getRoleMappedMenuDashboard(int userId)
        {
            return oCommonRepository.getRoleMappedMenuDashboard(userId);
        }

    }
}
